<?php

namespace Plantium\Http\Controllers;

use Illuminate\Http\Request;

use Plantium\Http\Requests;
use Plantium\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class EtiquetasController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store( Request $request ){
        $this->validate($request, [  
            'nombre' => 'required',
            'color' => 'required'
        ]);
        $nombre = $request->input( 'nombre' );
        $color = $request->input( 'color' );
        $id_user = Auth::user()->id;
        \Plantium\Etiqueta::create([
            'id_user' => $id_user, 
            'nombre' => $nombre, 
            'color' => $color
        ]);
        return view('calendario');
    }

    public function delete (Request $request, $id_etiqueta){
        $etiqueta = \Plantium\Etiqueta::find( $id_etiqueta );
        $id_user = Auth::user()->id;
        if ($etiqueta->id_user == $id_user) {
            $etiqueta->delete();
        }
        return redirect('/tareas/listado');
    }
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $etiqueta = \Plantium\Etiqueta::find( $id );
        $data['etiqueta'] = $etiqueta;
        return view('etiquetas.edit', $data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id )
    {
        $this->validate($request, [  
            'nombre' => 'required',
            'color' => 'required'

        ]);
        $nombre = $request->input( 'nombre' );
        $color = $request->input( 'color' );
        $id_user = Auth::user()->id;
        $etiqueta = \Plantium\Etiqueta::find( $id );
        $etiqueta->update([
            'id_user' => $id_user, 
            'nombre' => $nombre, 
            'color' => $color
        ]);

        return view('calendario');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
