<?php

namespace Plantium\Http\Controllers;

use Illuminate\Http\Request;

use Plantium\Http\Requests;
use Plantium\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class ProyectosController extends Controller
{
    public function proyectosJSON(Request $request)
    {
        $proyectos = Auth::user()->proyectos()->get();
        $proyectos_completos = [];
        foreach ($proyectos as $num => $proyecto) {
            $proyectos_completos[ $num ] = $proyecto;
            $proyectos_completas[ $num ]['tareas'] = $proyecto->tareas->count();
            $proyectos_completos[ $num ]['etiquetas'] = $proyecto->etiquetas;
            $color = '#555';
            if ($proyecto->etiquetas->first()) {
                $color = $proyecto->etiquetas->first()->color;
            }
            $proyectos_completos[ $num ]['color'] = $color;

        }
        return $proyectos_completos;
        // $data['espacio'] = $espacio;
        // return view('rutas.index', $data);
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store( Request $request ){
        $this->validate($request, [  
            'nombre' => 'required',
            'descripcion' => 'required',
            'prioridad' => 'required',
            'fecha_inicio' => 'required',
            'fecha_fin' => 'required',
        ]);
        $nombre = $request->input( 'nombre' );
        $descripcion = $request->input( 'descripcion' );
        $prioridad = $request->input( 'prioridad' );
        $fecha_inicio = $request->input( 'fecha_inicio' );
        $fecha_fin = $request->input( 'fecha_fin' );
        $id_user = Auth::user()->id;
        \Plantium\Proyecto::create([
            'id_user' => $id_user, 
            'nombre' => $nombre, 
            'descripcion' => $descripcion, 
            'prioridad' => $prioridad,
            'fecha_inicio' => $fecha_inicio, 
            'fecha_fin' => $fecha_fin,
        ]);

        return redirect('/proyectos/calendario');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $proyecto = \Plantium\Proyecto::find( $id );
        $data['proyecto'] = $proyecto;
        return view('proyectos.edit', $data);
    }

    public function delete (Request $request, $id_proyecto){
        $proyecto = \Plantium\Proyecto::find( $id_proyecto );
        $id_user = Auth::user()->id;
        if ($proyecto->id_user == $id_user) {
            $proyecto->delete();
        }
        return redirect('/proyectos/listado');
    }
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [  
            'nombre' => 'required',
            'descripcion' => 'required',
            'prioridad' => 'required',
            'fecha_inicio' => 'required',
            'fecha_fin' => 'required',
        ]);
        $proyecto = \Plantium\Proyecto::find( $id );

        $proyecto->desasignaEtiquetas();
        foreach ( Auth::user()->etiquetas as $etiqueta) {
             if (  $request->input('etiqueta_'. $etiqueta->id ) != null ) {
                $proyecto->asignaEtiqueta( $etiqueta );
             }
        }
        $nombre = $request->input( 'nombre' );
        $descripcion = $request->input( 'descripcion' );
        $prioridad = $request->input( 'prioridad' );
        $fecha_inicio = $request->input( 'fecha_inicio' );
        $fecha_fin = $request->input( 'fecha_fin' );
        $id_user = Auth::user()->id;
        $proyecto->update([
            'id_user' => $id_user, 
            'nombre' => $nombre, 
            'descripcion' => $descripcion, 
            'prioridad' => $prioridad,
            'fecha_inicio' => $fecha_inicio, 
            'fecha_fin' => $fecha_fin,
        ]);

        return redirect('/proyectos/calendario');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
