<?php

namespace Plantium\Http\Controllers;


use Illuminate\Http\Request;
use Plantium\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;


class TareasController extends Controller {
    public function tareasJSON(Request $request)
    {
        $tareas = Auth::user()->tareas()->get();
        $tareas_completas = [];
        foreach ($tareas as $num => $tarea) {
            $tareas_completas[ $num ] = $tarea;
            $tareas_completas[ $num ]['proyecto'] = $tarea->proyecto;
            $tareas_completas[ $num ]['etiquetas'] = $tarea->etiquetas;
            $color = '#555';
            if ($tarea->etiquetas->first()) {
                $color = $tarea->etiquetas->first()->color;
            }
            $tareas_completas[ $num ]['color'] = $color;

        }
        return $tareas_completas;
        // $data['espacio'] = $espacio;
        // return view('rutas.index', $data);
    }
    public function tareasCalendario(Request $request)
    {
        return view('calendario');
    }
    public function tareasListado(Request $request)
    {
        $tareas = Auth::user()->tareas()->get();
        return view('listado');
    }
    public function tareasLineal(Request $request)
    {
        $tareas = Auth::user()->tareas()->get();
        return view('lineal');
    }
    public function store(Request $request, $id_proyecto = 0){

        $this->validate($request, [  
            'nombre' => 'required',
            'descripcion' => 'required',
            'prioridad' => 'required',
            'fecha_inicio' => 'required',
            'fecha_fin' => 'required',
            'proyecto' => 'required',
        ]);
        $nombre = $request->input( 'nombre' );
        $descripcion = $request->input( 'descripcion' );
        $prioridad = $request->input( 'prioridad' );
        $fecha_inicio = $request->input( 'fecha_inicio' );
        $fecha_fin = $request->input( 'fecha_fin' );
        $proyecto = $request->input( 'proyecto' );
        $id_user = Auth::user()->id;
        \Plantium\Tarea::create([
            'id_user' => $id_user, 
            'id_proyecto' => $proyecto, 
            'nombre' => $nombre, 
            'descripcion' => $descripcion, 
            'prioridad' => $prioridad,
            'fecha_inicio' => $fecha_inicio, 
            'fecha_fin' => $fecha_fin,
        ]);

        return redirect('/tareas/calendario');

    }
    public function edit (Request $request, $id_tarea){
        $tarea = \Plantium\Tarea::find( $id_tarea );
        $data['tarea'] = $tarea;
        return view('tareas.edit', $data);
    }
    public function delete (Request $request, $id_tarea){
        $tarea = \Plantium\Tarea::find( $id_tarea );
        $id_user = Auth::user()->id;
        if ($tarea->id_user == $id_user) {
            $tarea->delete();
        }
        return redirect('/tareas/listado');
    }

    public function update(Request $request, $id = 0){
        // dd($request->input());
        //etiqueta_{{ $etiqueta->id }}
        $this->validate($request, [  
            'nombre' => 'required',
            'descripcion' => 'required',
            'prioridad' => 'required',
            'fecha_inicio' => 'required',
            'fecha_fin' => 'required',
            'proyecto' => 'required',
        ]);
        $tarea = \Plantium\Tarea::find( $id );
        $tarea->desasignaEtiquetas();
        foreach ( Auth::user()->etiquetas as $etiqueta) {
             if (  $request->input('etiqueta_'. $etiqueta->id ) != null ) {
                $tarea->asignaEtiqueta( $etiqueta );
             }
        }

        $nombre = $request->input( 'nombre' );
        $descripcion = $request->input( 'descripcion' );
        $prioridad = $request->input( 'prioridad' );
        $fecha_inicio = $request->input( 'fecha_inicio' );
        $fecha_fin = $request->input( 'fecha_fin' );
        $proyecto = $request->input( 'proyecto' );
        $id_user = Auth::user()->id;
        $tarea->update([
            'id_user' => $id_user, 
            'id_proyecto' => $proyecto, 
            'nombre' => $nombre, 
            'descripcion' => $descripcion, 
            'prioridad' => $prioridad,
            'fecha_inicio' => $fecha_inicio, 
            'fecha_fin' => $fecha_fin,
        ]);

        return redirect('/tareas/calendario');

    }


}
