<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/


Route::get('/', function () {

    $user = Auth::user();
    if (!is_null( $user )) 
    {
    	return view('calendario');
    }
    return view('auth.login');
});

//MIDDLEWARE AUTH	
Route::group(['middleware' => 'auth'], function () {

	Route::post('/tareas', 'TareasController@tareasJSON');
	Route::post('/proyectos', 'ProyectosController@proyectosJSON');
	//Route::post('/tareas', 'TareasController@tareasCalendario');
	// Route::get('/tareas', function () {
	//     return view('welcome');
	// });

	Route::get('/tareas/calendario', 'TareasController@tareasCalendario');
	Route::get('/tareas/listado', 'TareasController@tareasListado');
	Route::get('/proyectos/listado', 'TareasController@tareasListado');
	Route::get('/proyectos/calendario', 'TareasController@tareasCalendario');
	Route::get('/lineal', 'TareasController@tareasLineal');



	Route::put('/tarea', 'TareasController@store');
	Route::get('/tarea/{id}', 'TareasController@edit');
	Route::post('/tarea/{id}', 'TareasController@update');
	Route::get('/tarea/{id}/delete', 'TareasController@delete');

	Route::put('/proyecto', 'ProyectosController@store');
	Route::get('/proyecto/{id}', 'ProyectosController@edit');	
	Route::post('/proyecto/{id}', 'ProyectosController@update');
	Route::get('/proyecto/{id}/delete', 'ProyectosController@delete');

	Route::put('/etiqueta', 'EtiquetasController@store');
	Route::get('/etiqueta/{id}', 'EtiquetasController@edit');
	Route::post('/etiqueta/{id}', 'EtiquetasController@update');
	Route::get('/etiqueta/{id}/delete', 'EtiquetasController@delete');

	Route::get('/perfil', 'UsersController@edit');
	Route::post('/perfil', 'UsersController@update');
	Route::get('/perfil/delete', 'UsersController@delete');

});
