<?php

namespace Plantium;

use Illuminate\Database\Eloquent\Model;

class Proyecto extends Model
{
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'proyectos';

    protected $fillable = [
        'id_user',
        'nombre',
        'descripcion',
        'prioridad',
        'fecha_inicio',
        'fecha_fin',
    ];

    public function tareas (){
        return $this->hasMany('Plantium\Tarea', 'id_proyecto', 'id');
    }
    
    public function usuario() {
        return $this->belongsTo('Plantium\User');
    }

    // public function etiquetas(){
    //     return $this->hasMany('Plantium\Etiqueta','id_rel')->where('tipo_rel','=','P');
    // }

    public function etiquetas(){
        return $this->belongsToMany('Plantium\Etiqueta', 'proyectos_etiquetas', 'id_proyecto', 'id_etiqueta');
    }

    public function desasignaEtiquetas(){
        return ProyectosEtiquetas::where('id_proyecto', "=", $this->id)->delete();
    }

    public function asignaEtiqueta( $etiqueta ){
        return ProyectosEtiquetas::create([
                                    'id_etiqueta' => $etiqueta->id, 
                                    'id_proyecto' => $this->id
                                ]);
    }
}
