<?php

namespace Plantium;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class Tarea extends Model
{
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'tareas';

    protected $fillable = [
        'id_user',
        'id_proyecto',
        'nombre',
        'descripcion',
        'prioridad',
        'fecha_inicio',
        'fecha_fin',
    ];

    public function proyecto(){
        return $this->belongsTo('Plantium\Proyecto', 'id_proyecto');
    }

    public function usuario(){
        return $this->belongsTo('Plantium\User');
    }
    public function etiquetas(){
        return $this->belongsToMany('Plantium\Etiqueta', 'tareas_etiquetas', 'id_tarea', 'id_etiqueta');
    }

    public function desasignaEtiquetas(){
        return TareasEtiquetas::where('id_tarea', "=", $this->id)->delete();
    }

    public function asignaEtiqueta( $etiqueta ){
        return TareasEtiquetas::create([
                                    'id_etiqueta' => $etiqueta->id, 
                                    'id_tarea' => $this->id
                                ]);
    }

}
