@extends('app')
@section('bodyclass')listado {{ Request::segment(1) }} @endsection
@section('styles')
	<style type="text/css">
		
	</style>
@endsection

@section('content')
	<?php
		//dd(	Auth::user()->proyectos()->first()->tareas()->get() );

		$fecha_inicio = formatea_fecha( Input::old('fecha_inicio') ? Input::old('fecha_inicio') : date("Y-m-d")    );
		$fecha_fin = formatea_fecha( Input::old('fecha_fin') ? Input::old('fecha_fin') : date("Y-m-d") );
		$seccion = Request::segment(1);
	?>
@include('popups')
	<h2>{{ ($seccion=='proyectos') ? 'LISTADO DE PROYECTOS' : 'LISTADO DE TAREAS' }}</h2>
	
	<div class="botonera-acciones">	
		<a href="#" class="boton bt_nueva_tarea">+ tarea</a>
		<a href="#" class="boton bt_nueva_etiqueta">+ etiqueta</a>
		<a href="#" class="boton bt_nuevo_proyecto">+ proyecto</a>
	</div>
	@if (count($errors) > 0)
		<div class="alert alert-danger">
		<ul>
			@foreach ($errors->all() as $error)
				<li>{{ $error }}</li>
				@endforeach
			</ul>
		</div>
	@endif

	<div id='listado'>
		<table class="dataTable">
			<thead>
				<tr>
					<th style="width: 60px;">Prioridad</th> 
					<th style="">Fecha inicio</th> 
					<th style="">Fecha fin</th> 
					<th style="">Título</th> 
					<th style="">{{ ($seccion=='proyectos') ? 'Nº tareas' : 'Proyecto' }}</th> 
					<th style="">Etiquetas</th> 
					<th style="">Editar</th> 
				</tr>
			</thead>	
			<tbody>
			</tbody>
			<tfoot>
				<tr>
					<th></th> 
					<th></th> 
					<th></th> 
					<th></th> 
					<th></th> 
					<th></th> 
					<th></th> 
				</tr>
			</tfoot>	
		</table>
	</div>
	

@endsection
@section('footer')


@section('scripts.footer')

<script>
	var datatable;
	$(document).ready(function() {





		var hoy = moment().format('YYYY-MM-DD');

		
		function adaptaTareas(data){

			console.log(data);
			resultado=[];
			$.each(data, function(index, val) { 
				resultado[index] = data[index];
				resultado[index].start = data[index].fecha_inicio;
				resultado[index].end = data[index].fecha_fin;
				resultado[index].title = data[index].nombre;
			});
			return resultado;
		}


			@if ($seccion == "tareas")
				$.ajax({
					method: "POST",
					url: "/tareas",
					data: {
						 privados: "privados",
					},
					dataType: "json",
					success: function ( data ) {
						console.log('data');
						console.log(data);
						$('.dataTable').DataTable().rows().remove().draw(); //primero vaciamos
						var hoy = new Date();
						$.each(data, function(index, val) {
							var fecha_inicio = moment(val.fecha_inicio, 'YYYY-MM-DD HH:mm:ss').toDate();
							var etiquetas = '';
							if ( val.etiquetas ) {
								for (var i = 0; i < val.etiquetas.length; i++) {
									//val.etiquetas[i]
									etiquetas += '<span style="background-color: ' + val.etiquetas[i].color +'" class="etiqueta">' + val.etiquetas[i].nombre + '</span> ';
								}
							}
							var fecha_fin = moment(val.fecha_fin, 'YYYY-MM-DD HH:mm:ss').toDate();
							var fecha_inicio = moment(val.fecha_inicio, 'YYYY-MM-DD HH:mm:ss').toDate();
							datatable = $('.dataTable').DataTable().row.add( [
								val.prioridad,
								val.fecha_inicio.slice(0,10),
								val.fecha_fin.slice(0,10),
								val.nombre,
								val.proyecto.nombre,
								etiquetas,
								'<a href="/tarea/' + val.id +'" class="bt_icon" title="Editar"><span class="glyphicon glyphicon-edit"></a><a href="/tarea/' + val.id +'/delete" class="bt_icon bt_borrar" title="Borrar"><span class="glyphicon glyphicon-trash"></a>'
					 		] ).draw( true );
						});
					}
				});
			@else
				$.ajax({
					method: "POST",
					url: "/proyectos",
					data: {
						 privados: "privados",
					},
					dataType: "json",
					success: function ( data ) {
						console.log('data');
						console.log(data);
						$('.dataTable').DataTable().rows().remove().draw(); //primero vaciamos
						var hoy = new Date();
						$.each(data, function(index, val) {
							var fecha_inicio = moment(val.fecha_inicio, 'YYYY-MM-DD HH:mm:ss').toDate();
							var etiquetas = '';
							if ( val.etiquetas ) {
								for (var i = 0; i < val.etiquetas.length; i++) {
									//val.etiquetas[i]
									etiquetas += '<span style="background-color: ' + val.etiquetas[i].color +'" class="etiqueta">' + val.etiquetas[i].nombre + '</span> ';
								}
							}
							var fecha_fin = moment(val.fecha_fin, 'YYYY-MM-DD HH:mm:ss').toDate();
							var fecha_inicio = moment(val.fecha_inicio, 'YYYY-MM-DD HH:mm:ss').toDate();
							datatable = $('.dataTable').DataTable().row.add( [
								damePrioridad (val.prioridad),
								val.fecha_inicio.slice(0,10),
								val.fecha_fin.slice(0,10),
								val.nombre,
								val.tareas.length,
								etiquetas,
								'<a href="/proyecto/' + val.id +'" class="bt_icon" title="Editar"><span class="glyphicon glyphicon-edit"></a><a href="/proyecto/' + val.id +'/delete" class="bt_icon bt_borrar" title="Borrar"><span class="glyphicon glyphicon-trash"></a>'
					 		] ).draw( true );
						});
					}
				});
			@endif
			

			
			function damePrioridad ( prioridad ){
				switch( prioridad ){
					case 1:
						return '<span class="prioridad alta">Alta</span>';
						break;
					case 2:
						return '<span class="prioridad media">Media</span>';
						break;
					case 3:
						return '<span class="prioridad baja">Baja</span>';
						break;
					default: return "No definida";
				}
			}


				$.fn.dataTable.moment( 'DD/MM/YYYY' );



    	$('.dataTable').DataTable( {

    		//según se llama a draw se crean los filtros de select
    		iDisplayLength: 50,
        	order: [[ 1, "desc" ]],


		    dom: 'lfrtBpi',

		    buttons: 
		    [
			    //'csv', 
			    'excel',
			    // 'copy',
			    //  {
		        //    extend: 'csv',
		        //    text: 'Excel'
				//  },
			    {
		            extend: 'copy',
		            text: 'Copiar'
				}
			],

            "language": {
            	buttons: {
	                copyTitle: 'Copiado al portapapeles',
	                copyKeys: 'Las filas se han copiado correctamente.'
	            },
			    "sProcessing":     "Procesando...",
			    "sLengthMenu":     "Visualizando _MENU_ filas",
			    "sZeroRecords":    "No se encontraron resultados",
			    "sEmptyTable":     "Ningún dato disponible en esta tabla",
			    "sInfo":           "Mostrando tareas del _START_ al _END_ de un total de _TOTAL_ tareas",
			    "sInfoEmpty":      "Mostrando tareas del 0 al 0 de un total de 0 tareas",
			    "sInfoFiltered":   "(filtrado de un total de _MAX_ tareas)",
			    "sInfoPostFix":    "",
			    "sSearch":         "Buscar:",
			    "sUrl":            "",
			    "sInfoThousands":  ",",
			    "sLoadingRecords": "Cargando...",
			    "oPaginate": {
			        "sFirst":    "Primero",
			        "sLast":     "Último",
			        "sNext":     "Siguiente",
			        "sPrevious": "Anterior"
			    },
			    "oAria": {
			        "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
			        "sSortDescending": ": Activar para ordenar la columna de manera descendente"
			    }
			}            
        } );

    });

</script>
@endsection
