@extends('app')
@section('bodyclass')listado editar @endsection
@section('styles')
	<style type="text/css">
		
	</style>
@endsection

@section('content')
	<?php
		use \Plantium\Proyecto;

		if(!isset($proyecto))
		{
			$proyecto = new Proyecto();
			$proyecto->fecha_inicio = date("Y-m-d");
			$proyecto->fecha_fin = date("Y-m-d");
		}

		$fecha_inicio = formatea_fecha( Input::old('fecha_inicio') ? Input::old('fecha_inicio') : date("Y-m-d")    );
		$fecha_fin = formatea_fecha( Input::old('fecha_fin') ? Input::old('fecha_fin') : date("Y-m-d") );

		$fecha_inicio = formatea_fecha( Input::old('fecha_inicio') ? Input::old('fecha_inicio') :  $proyecto->fecha_inicio    );
		$fecha_fin = formatea_fecha( Input::old('fecha_fin') ? Input::old('fecha_fin') : $proyecto->fecha_fin );

	?>

	@if (count($errors) > 0)
		<div class="alert alert-danger">
		<ul>
			@foreach ($errors->all() as $error)
				<li>{{ $error }}</li>
				@endforeach
			</ul>
		</div>
	@endif
	<h2>Editar proyecto</h2>
	<div class="form">

		<form class="form-horizontal" role="form" method="POST" action="/proyecto/{{ $proyecto->id }}">
			<input type="hidden" name="_token" value="{{ csrf_token() }}">


			<div class="form-group">
				<label class="col-xs-12 col-sm-push-1 col-sm-5" for="nombre">Nombre:</label>
				<div class="col-sm-6 col-xs-12">
					<input type="text" class="form-control" id="nombre" name="nombre" placeholder="Nombre de la tarea" value="{{ (Input::old('nombre')) ? Input::old('nombre') : $proyecto->nombre }}" >
				</div>			
			</div>
			<div class="form-group">
				<label class="col-xs-12 col-sm-push-1 col-sm-5" for="descripcion">Descripcion:</label>
				<div class="col-sm-6 col-xs-12">
					<input type="text" class="form-control" id="descripcion" name="descripcion" placeholder="Descripción de la tarea" value="{{ (Input::old('descripcion')) ? Input::old('descripcion') : $proyecto->descripcion }}" >
				</div>			
			</div>
			<div class="form-group">
				<label class="col-xs-12 col-sm-push-1 col-sm-5" for="">Prioridad</label>
				<div class="col-xs-12 col-md-6">
					<div class="select-style">
						<select id="prioridad" name="prioridad" class="">													
							<option value="1"
								@if ((Input::old('prioridad') == "1") || ($proyecto->prioridad) ==  "1"))
									selected="selected"									
								@endif
						    >Baja</option>
							<option value="2" 
								@if ((Input::old('prioridad') == "2") || ($proyecto->prioridad) ==  "2"))
									selected="selected"									
								@endif
							>Media</option>
							<option value="3" 
								@if ((Input::old('prioridad') == "3") || ($proyecto->prioridad) ==  "3"))
									selected="selected"									
								@endif
							>Alta</option>
						</select>
					</div>
				</div>
			</div>

			<div class="form-group">
				<label class="col-xs-12 col-sm-push-1 col-sm-5" for="fecha_inicio">Fecha de inicio</label>
				<div class="col-sm-6 col-xs-12">
					<input type="text" class="form-control datepicker" id="fecha_inicio" name="fecha_inicio" placeholder="Fecha de inicio"  value="{{ $fecha_inicio }}" required data-format="datepicker">
				</div>			
			</div>
			<div class="form-group">
				<label class="col-xs-12 col-sm-push-1 col-sm-5" for="fecha_fin">Fecha de fin</label>
				<div class="col-sm-6 col-xs-12">
					<input type="text" class="form-control" id="fecha_fin" name="fecha_fin" value="{{ $fecha_fin }}" required data-format="datepicker">
				</div>			
			</div>
			<div class="form-group">
				<label class="col-xs-12 col-sm-push-1 col-sm-10" for="fecha_fin">Etiquetas:</label>
				@foreach (Auth::User()->etiquetas as $etiqueta)
					<div class="col-sm-3 col-sm-push-5 col-xs-12 clearfix">
						<div class="etiqueta_wrapper" style="background-color: {{ $etiqueta->color }} ;">
							<input type="checkbox" class="etiqueta" id="etiqueta_{{ $etiqueta->id }}" name="etiqueta_{{ $etiqueta->id }}" @if ( $proyecto->etiquetas->contains( $etiqueta ) ) checked="checked" @endif >
						</div>
							<label for="etiqueta_{{ $etiqueta->id }}">{{ $etiqueta->nombre }} <a href="/etiqueta/{{ $etiqueta->id }}" class="bt_icon" title="Editar"><span class="glyphicon glyphicon-edit"></a> <a href="/etiqueta/{{ $etiqueta->id }}/delete" class="bt_icon bt_borrar" title="Borrar"><span class="glyphicon glyphicon-trash"></a></label>
					</div>	
				@endforeach
			</div>
			<div class="form-group">
				<div class="col-sm-3 col-sm-push-3 col-xs-6">
					<button type="submit" class="btn btn-primary bt_guardar">Guardar</button>	
				</div>	
			</div>
		</form>
	</div>

@endsection
@section('footer')


@section('scripts.footer')

<script>
	$(document).ready(function() {
    });

</script>
@endsection
